Index: branch/nan_cao/Emb_App/SessionM32C_E8a_system.ini
===================================================================
--- branch/nan_cao/Emb_App/SessionM32C_E8a_system.ini	(revision 309)
+++ branch/nan_cao/Emb_App/SessionM32C_E8a_system.ini	(revision 310)
@@ -25,4 +25,4 @@
 [Target]
 M32C E8a SYSTEM=Renesas Communications
 [USER_DATA]
-RESET=ff0016
+RESET=ff0012
Index: branch/nan_cao/Emb_App/programme_principal_etud.c
===================================================================
--- branch/nan_cao/Emb_App/programme_principal_etud.c	(revision 309)
+++ branch/nan_cao/Emb_App/programme_principal_etud.c	(revision 310)
@@ -123,25 +123,16 @@
 
 short alpha; 
 short distance;
-short vitesse, longueur;
-int g=1;					//gain angle de roue
-int g2=1;					//gain vitesse de tourelle
+short vitesse;
+short vitourelle;
+short num_piste;
+int m;
+int cap;
+int numcap;
+int couleurcap;
+CanFrame comm_ang;
+CanFrame comm_vitesse;
 
-void vit(){	
-	CanFrame comm;
-		while(1)
-		{
-			comm.data.id='V'; 
-			comm.data.rtr=0;
-		//	if(distance < 100)
-	 		comm.data.val=15;
-		//	else comm.data.val = 5;
-			snd_dtq(CanTx,comm.msg);   
-			dly_tsk(500);
-		}	
-				
-}
-
 void ang_tourelle(){	
 	
 		CanFrame req,reponse,comm;
@@ -149,10 +140,9 @@
 		while(1)
 		{	
 			req.data.id='R';						//lecture angle de la tourelle
-			req.data.rtr=1; 
-		//	snd_dtq(CanRx, req.msg);
+			req.data.rtr=1;
+			snd_dtq(CanRx, req.msg);
 													//Attente de la reponse
-													//rcv_dtq(CanRx, &reponse.msg);
 			periph[ADDR('R')].ev=0x01;
 			snd_dtq(CanTx,req.msg);
 			wai_flg(ev_periph, 0x01, TWF_ANDW,&flag);
@@ -161,9 +151,11 @@
 													
 			comm.data.id='T';						//Vitesse de la tourelle
 			comm.data.rtr=0;
-	 		comm.data.val=g2*(450-alpha);
+			comm.data.val=vitourelle;
 			snd_dtq(CanTx,comm.msg);
-			dly_tsk(100);
+	 		if (alpha!=450) vitourelle=450-alpha;
+			
+			dly_tsk(20);
 		}	
 		
 }
@@ -170,15 +162,14 @@
 
 void ang_roue(){	
 	
-		CanFrame req,reponse,comm;
-		UINT flag;	
+		CanFrame req,reponse;		
+		UINT flag;			
 		while(1)
 		{	
 			req.data.id='U';						 //distance mesueree par la tourelle
 			req.data.rtr=1; 
-		//	snd_dtq(CanRx, req.msg);
+			snd_dtq(CanRx, req.msg);
 													//Attente de la reponse
-													//rcv_dtq(CanRx, &reponse.msg);
 			periph[ADDR('U')].ev=0x02;
 			snd_dtq(CanTx,req.msg);
 			wai_flg(ev_periph, 0x02, TWF_ANDW,&flag);
@@ -185,15 +176,89 @@
 
 			distance=periph[ADDR('U')].val;			// contient la valeur de retour du simulateur.
 													
-			comm.data.id='D';						//angle de roue
-			comm.data.rtr=0;
-	 		comm.data.val=-g*(450-distance); 
-			snd_dtq(CanTx,comm.msg);
-			dly_tsk(200);
+			comm_ang.data.id='D';						//angle de roue
+			comm_ang.data.rtr=0;
+	 		if(distance < 900) comm_ang.data.val=-(710-distance);
+			else comm_ang.data.val=0;
+			snd_dtq(CanTx,comm_ang.msg);
+			dly_tsk(20);
 		}	
 			
 }
 
+void vit(){	
+	
+	CanFrame req,reponse;	
+	UINT flag;	
+		while(1)
+		{	req.data.id='V';						
+			req.data.rtr=1; 
+			snd_dtq(CanRx, req.msg);
+													//Attente de la reponse
+			periph[ADDR('V')].ev=0x03;
+			snd_dtq(CanTx,req.msg);
+			wai_flg(ev_periph, 0x03, TWF_ANDW,&flag);
+
+			vitesse=periph[ADDR('V')].val;			// contient la valeur de retour du simulateur.
+
+			comm_vitesse.data.id='V'; 						//vitesse de roue
+			comm_vitesse.data.rtr=0;
+	 		if(distance < 850) comm_vitesse.data.val=35;
+			else comm_vitesse.data.val=vitesse;
+			snd_dtq(CanTx,comm_vitesse.msg);
+			dly_tsk(10);
+		}	
+				
+}
+
+
+void mod(){	
+	
+		CanFrame req,reponse,comm;
+		UINT flag;	
+		while(1)
+		{	
+			req.data.id='M';						//mode de course
+			req.data.rtr=1; 
+			snd_dtq(CanRx, req.msg);
+													//Attente de la reponse
+			periph[ADDR('M')].ev=0x05;
+			snd_dtq(CanTx,req.msg);
+			wai_flg(ev_periph, 0x05, TWF_ANDW,&flag);
+		
+			m=periph[ADDR('M')].val;				// contient la valeur de retour du simulateur.
+			num_piste=m & 0x007D;
+			snd_dtq(CanTx,comm.msg);
+		}	
+
+}	
+
+void capteur(){	
+	
+		CanFrame req,reponse,comm;
+		UINT flag;	
+		while(1)
+		{	
+			req.data.id='C';						//le dernier capteur touche
+			req.data.rtr=1; 
+			snd_dtq(CanRx, req.msg);
+													//Attente de la reponse
+			periph[ADDR('C')].ev=0x04;
+			snd_dtq(CanTx,req.msg);
+			wai_flg(ev_periph, 0x04, TWF_ANDW,&flag);
+		
+			cap=periph[ADDR('C')].val;				// contient la valeur de retour du simulateur.
+			couleurcap=cap & 0xff00;				//couleur 
+			numcap=cap & 0x00ff;					//numero du capteur
+			if(cap==0x5601 & num_piste=3) {
+				vitesse=50;
+				snd_dtq(CanTx,comm_vitesse.msg);
+			}
+		}	
+
+}			
+
+
 void main()
 {
 	CanFrame comm;
@@ -201,7 +266,7 @@
 	ports_mcu();
 	lcd_init();
 	periph_init();
-	periph_nom("#AutoTest*");
+	periph_nom("#nan*");
 
 
 	lcd_putc(1);
@@ -211,7 +276,9 @@
 			
 	sta_tsk(ID_ang_roue);
 	sta_tsk(ID_ang_tourelle);
-	sta_tsk(ID_vitesse);
+	sta_tsk(ID_vitesse);
+	sta_tsk(ID_capteur);
+	sta_tsk(ID_mode);
 	sta_cyc(ID_acqui);
 	sta_tsk(ID_periph_rx);
 	
Index: branch/nan_cao/Emb_App/conf_noyau.cfg
===================================================================
--- branch/nan_cao/Emb_App/conf_noyau.cfg	(revision 309)
+++ branch/nan_cao/Emb_App/conf_noyau.cfg	(revision 310)
@@ -48,7 +48,7 @@
 	name	= ID_ang_roue;
 	stack_size	= 512;
 	stack_section	= stack;
-	priority	= 1;
+	priority	= 5;
 	initial_start	= OFF;
 	exinf	= 0x0;
 };
@@ -67,11 +67,29 @@
 	name	= ID_vitesse;
 	stack_size	= 512;
 	stack_section	= stack;
-	priority	= 6;
+	priority	= 7;
 	initial_start	= OFF;
 	exinf	= 0x0;
 };
 
+task[]{
+	entry_address	= capteur();
+	name	= ID_capteur;
+	stack_size	= 512;
+	stack_section	= stack;
+	priority	= 7;
+	initial_start	= OFF;
+	exinf	= 0x0;
+};
+task[]{
+	entry_address	= mod();
+	name	= ID_mode;
+	stack_size	= 512;
+	stack_section	= stack;
+	priority	= 7;
+	initial_start	= OFF;
+	exinf	= 0x0;
+};
 
 
 
Index: branch/nan_cao/Emb_App/EmbM32C87App.hwp
===================================================================
--- branch/nan_cao/Emb_App/EmbM32C87App.hwp	(revision 309)
+++ branch/nan_cao/Emb_App/EmbM32C87App.hwp	(revision 310)
@@ -3,16 +3,16 @@
 [DATABASE_VERSION]
 "2.8" 
 [PROJECT_DETAILS]
-"EmbM32C87App" "E:\nan_cao\Emb_App" "E:\nan_cao\Emb_App\EmbM32C87App.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87)" 
+"EmbM32C87App" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\EmbM32C87App.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87)" 
 [INFORMATION]
 "No project information available" 
 [TOOL_CHAIN]
 "Renesas M32C Standard Toolchain" "5.42.00" 
 [CONFIGURATIONS]
-"Debug" "E:\nan_cao\Emb_App\Debug" 
-"Debug_M32C_FoUSB_UART" "E:\nan_cao\Emb_App\Debug_M32C_FoUSB_UART" 
-"Debug_M32C_Simulator" "E:\nan_cao\Emb_App\Debug_M32C_Simulator" 
-"Release" "E:\nan_cao\Emb_App\Release" 
+"Debug" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\Debug" 
+"Debug_M32C_FoUSB_UART" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\Debug_M32C_FoUSB_UART" 
+"Debug_M32C_Simulator" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\Debug_M32C_Simulator" 
+"Release" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\Release" 
 [BUILD_PHASES]
 "Renesas M32C Assembler" 1 
 "Renesas M32C C Compiler" 1 
@@ -105,29 +105,29 @@
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C Assembler" 
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C C Compiler" 
 [PROJECT_FILES]
-"E:\nan_cao\Emb_App\conf_noyau.cfg" "User" "Configuration file" 2 
-"E:\nan_cao\Emb_App\crt0mr.a30" "User" "Assembly source file" 2 
-"E:\nan_cao\Emb_App\programme_principal_etud.c" "User" "C source file" 2 
-"E:\nan_cao\bsp\can.c" "User" "C source file" 2 
-"E:\nan_cao\bsp\can.h" "User" "C header file" 2 
-"E:\nan_cao\bsp\carte_io.h" "User" "C header file" 2 
-"E:\nan_cao\bsp\carte_m32.h" "User" "C header file" 2 
-"E:\nan_cao\bsp\clavier.c" "User" "C source file" 2 
-"E:\nan_cao\bsp\clavier.h" "User" "C header file" 2 
-"E:\nan_cao\bsp\dma0.c" "User" "C source file" 2 
-"E:\nan_cao\bsp\dma0.h" "User" "C header file" 2 
-"E:\nan_cao\bsp\lcd.c" "User" "C source file" 2 
-"E:\nan_cao\bsp\lcd.h" "User" "C header file" 2 
-"E:\nan_cao\bsp\mli.c" "User" "C source file" 2 
-"E:\nan_cao\bsp\mli.h" "User" "C header file" 2 
-"E:\nan_cao\bsp\periph.c" "User" "C source file" 2 
-"E:\nan_cao\bsp\periph.h" "User" "C header file" 2 
-"E:\nan_cao\bsp\radiocommande.c" "User" "C source file" 2 
-"E:\nan_cao\bsp\radiocommande.h" "User" "C header file" 2 
-"E:\nan_cao\bsp\sfr32c83.h" "User" "C header file" 2 
-"E:\nan_cao\bsp\sfr32c87.h" "User" "C header file" 2 
-"E:\nan_cao\bsp\uart0.c" "User" "C source file" 2 
-"E:\nan_cao\bsp\uart0.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\conf_noyau.cfg" "User" "Configuration file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\crt0mr.a30" "User" "Assembly source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\programme_principal_etud.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\can.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\can.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\carte_io.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\carte_m32.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\dma0.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\dma0.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\mli.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\mli.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\radiocommande.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\radiocommande.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\sfr32c83.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\sfr32c87.h" "User" "C header file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\uart0.c" "User" "C source file" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\uart0.h" "User" "C header file" 2 
 [FOLDER]
 "Assembly source file" "Assembly source file" 
 "C header file" "C header file" 
@@ -138,10 +138,10 @@
 [ON_DEMAND_COMPONENTS_LOADED]
 [SYNC_SESSION_NAMES]
 [SESSIONS]
-"DefaultSession" "E:\nan_cao\Emb_App\DefaultSession.hsf" 0 
-"SessionM32C_E8a_system" "E:\nan_cao\Emb_App\SessionM32C_E8a_system.hsf" 0 
-"SessionM32C_FoUSB_UART" "E:\nan_cao\Emb_App\SessionM32C_FoUSB_UART.hsf" 0 
-"SessionM32C_Simulator" "E:\nan_cao\Emb_App\SessionM32C_Simulator.hsf" 0 
+"DefaultSession" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\DefaultSession.hsf" 0 
+"SessionM32C_E8a_system" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\SessionM32C_E8a_system.hsf" 0 
+"SessionM32C_FoUSB_UART" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\SessionM32C_FoUSB_UART.hsf" 0 
+"SessionM32C_Simulator" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\SessionM32C_Simulator.hsf" 0 
 [GENERAL_DATA_SESSION_DefaultSession]
 [GENERAL_DATA_SESSION_SessionM32C_E8a_system]
 [GENERAL_DATA_SESSION_SessionM32C_FoUSB_UART]
@@ -148,18 +148,18 @@
 [GENERAL_DATA_SESSION_SessionM32C_Simulator]
 [OPTIONS_Debug_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\nan_cao\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_Renesas M32C C Compiler]
 "C source file" "0d1c724595684d10" 2 
-"E:\nan_cao\Emb_App\programme_principal_etud.c" "0d1c724595684d10" 2 
-"E:\nan_cao\bsp\can.c" "0d1c724595684d10" 2 
-"E:\nan_cao\bsp\clavier.c" "0d1c724595684d10" 2 
-"E:\nan_cao\bsp\dma0.c" "0d1c724595684d10" 2 
-"E:\nan_cao\bsp\lcd.c" "0d1c724595684d10" 2 
-"E:\nan_cao\bsp\mli.c" "0d1c724595684d10" 2 
-"E:\nan_cao\bsp\periph.c" "0d1c724595684d10" 2 
-"E:\nan_cao\bsp\radiocommande.c" "0d1c724595684d10" 2 
-"E:\nan_cao\bsp\uart0.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\programme_principal_etud.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\can.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\dma0.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\mli.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\radiocommande.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\uart0.c" "0d1c724595684d10" 2 
 [OPTIONS_Debug_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_Renesas M32C Librarian]
@@ -187,18 +187,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug]
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\nan_cao\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\nan_cao\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\nan_cao\bsp\can.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\mli.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\periph.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Librarian]
@@ -226,18 +226,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_FoUSB_UART]
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\nan_cao\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\nan_cao\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\nan_cao\bsp\can.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\mli.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\periph.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Librarian]
@@ -265,18 +265,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_Simulator]
 [OPTIONS_Release_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\nan_cao\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Release_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\nan_cao\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\nan_cao\bsp\can.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\mli.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\periph.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\nan_cao\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_nan_cao\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Release_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Release_Renesas M32C Librarian]
Index: branch/nan_cao/Emb_App.hws
===================================================================
--- branch/nan_cao/Emb_App.hws	(revision 309)
+++ branch/nan_cao/Emb_App.hws	(revision 310)
@@ -3,12 +3,12 @@
 [DATABASE_VERSION]
 "11.0" 
 [WORKSPACE_DETAILS]
-"Emb_App" "E:\nan_cao" "E:\nan_cao\Emb_App.hws" "M16C/80,M32C" "Renesas M32C Standard" 
+"Emb_App" "E:\tp_info6_2018_nan_cao\tp_info6" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App.hws" "M16C/80,M32C" "Renesas M32C Standard" 
 [SHARED_WORKSPACE_CONTROL_STATUS]
 "" "" "" 
 "" "" "" 
 [PROJECTS]
-"EmbM32C87App" "E:\nan_cao\Emb_App" "E:\nan_cao\Emb_App\EmbM32C87App.hwp" 4 
+"EmbM32C87App" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App" "E:\tp_info6_2018_nan_cao\tp_info6\Emb_App\EmbM32C87App.hwp" 4 
 [INFORMATION]
 "No workspace information available" 
 [SCRAP]