Index: branch/Coccallotto/Emb_App/SessionM32C_E8a_system.hsf
===================================================================
--- branch/Coccallotto/Emb_App/SessionM32C_E8a_system.hsf	(revision 312)
+++ branch/Coccallotto/Emb_App/SessionM32C_E8a_system.hsf	(revision 313)
@@ -297,11 +297,11 @@
 0 
 [WINDOW_POSITION_STATE_DATA_VD1]
 "Help" "TOOLBAR 0" 59419 2 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_00000001_CmdLine}" "WINDOW" 59422 0 2 "0.07" 365 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 0 "0.13" 365 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
 "{WK_00000001_DISASSEMBLY}" "WINDOW" 0 0 0 "0.00" 0 -4 -30 948 486 9 0 "" "0.0" 
 "{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.11" 365 0 0 350 200 18 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
 "{WK_00000001_MEMORY}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 1 "0.23" 365 2 -1 350 200 2065 0 "42202|42203|42204|42233|<<separator>>|42206|42205|42230|42229|42207|<<separator>>|42208|42209|42210|49076|42228|42227|<<separator>>|42231|42232|42234|42235|<<separator>>|42211|<<separator>>|32796|32797" "0.0" 
-"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 3 "0.48" 365 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
+"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 1 "1.00" 365 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
 "{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 4 "0.01" 365 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
 "{WK_00000001_REGISTERS}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59421 0 0 "1.00" 236 0 0 350 200 2065 0 "" "0.0" 
 "{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 1 "0.39" 365 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32772|32773|<<separator>>|32786|<<separator>>|32810|32811" "0.0" 
@@ -380,5 +380,5 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 96065536 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 0 1 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/Coccallotto/Emb_App/programme_principal_etud.c
===================================================================
--- branch/Coccallotto/Emb_App/programme_principal_etud.c	(revision 312)
+++ branch/Coccallotto/Emb_App/programme_principal_etud.c	(revision 313)
@@ -147,12 +147,12 @@
 {	
 	dismur=700; 			//distance mesurer par le capteur que l'on garde en constante ici
 	commande=450;			//commande de la valeur de la tourelle
-	kroues=1.5;				//correction pour les roues de 5;
+	kroues=1.6;				//correction pour les roues de 5;
 	ktourelle=1.2;			//correction pour la tourelle de 10;
 	
 
 	
-	vitesse=30;				//commande de la vitesse des roues
+	vitesse=35;				//commande de la vitesse des roues
 
 
 
@@ -171,34 +171,58 @@
 	dly_tsk(1000);
     while(1)
     {			
-		int pos;
-		UINT flag;
+	int pos;
+	UINT flag;
 		
-		acqtourelle();
+	acqtourelle();
 				
-		acqroues();
+	acqroues();
 		
-		directionroues();
+	directionroues();
 		
-		valcapt();
-			switch (couleurcapt){
+	valcapt();
+		
+	switch(valeurpiste){			//couleur ('C','R','J','B' ou 'V')
+		case 1:
+		if(couleurcapt==86){//si le numéro est 3
+			vitesse=75;
+			kroues=0.9;
+		}
+			else{
+			vitesse=40;
+			kroues=1.8;
+			}
+		break;
+		case 2:
+		
+		break;
+		case 3:
+		switch (couleurcapt){//regarde la couleur du capteur
 			case 86:
-			if(numero==3){
+			{
+			if(numero==3){//si le numéro est 3
 			vitesse=45;
 			kroues=0;
 			}
-			break;
-			case 66:{
-			vitesse=20;
-			kroues=1.5;
+			else{
+			vitesse=35;
+			kroues=1.8;
 			}
-			break;
-			if(numero==4){
-			vitesse=20;
-			kroues=1.5;
 			}
 			break;
+			case 66:{ 
+			vitesse=12;
+			kroues=1.6;
+			}			
+			break;
 		}
+		break;
+		case 4:
+	
+		break;
+		
+	}
+			
 		dly_tsk(10);
 		
     }